<?php require_once('Connections/cn.php'); ?>
<?php
session_start();
//$cedula_usuario=$_SESSION['CEDULA_USUARIO'];
$cedula=$_GET['cedula'];
$id_sede=$_GET['id_sede'];
$id_carrera=$_GET['id_carrera'];
$id_periodo=$_GET['id_periodo'];
$seccion=$_GET['seccion'];

/*echo 'SEDE: '.$id_sede.'<br>';
echo 'CARERRA: '.$id_carrera.'<br>';
echo 'CEDULA: '.$cedula.'<br>';
echo 'PERIODO: '.$id_periodo.'<br>';
echo 'SECCION: '.$seccion.'<br>';*/

mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");

// Obtiene el ID del alumno (id_alumno)
 $sql = "SELECT id_alumno,cedula,apellidos, nombres, tipodoc FROM alumnos WHERE cedula='$cedula' or pasaporte='$cedula'";
$rs = mysql_query($sql, $cn) or die(mysql_error());
$row = mysql_fetch_assoc($rs);
$id_alumno= $row['id_alumno'];
$cedula= $row['cedula'];
$apellidos= $row['apellidos'];
$nombres= $row['nombres'];
$documento= $row['tipodoc'];
if ($documento=="C") {
   $tipo_doc="CEDULA:";
   }
else {
    $tipo_doc="PASAPORTE:";
}

// Obtiene datos del Programa.
$sql1 = "SELECT nombre_carrera,costo_inscripcion,costo_regular,costo_uc FROM carreras WHERE id_carrera='$id_carrera'";
$rs1 = mysql_query($sql1, $cn) or die(mysql_error());
$row1 = mysql_fetch_assoc($rs1);
$nombre_carrera= $row1['nombre_carrera'];

$costo_uc=$row1['costo_uc'];
//fin

// Valida si el alumno es Nuevo Ingreso
$sql4 = "SELECT * FROM historial_alumnos WHERE id_carrera='$id_carrera' AND id_alumno='$id_alumno'";
$rs4 = mysql_query($sql4, $cn) or die(mysql_error());
$row4 = mysql_fetch_assoc($rs4);
$nuevo=mysql_num_rows($rs4);

if($nuevo==0)
{
   $costo_inscripcion=$row1['costo_inscripcion']; 	
}
else {
   $costo_inscripcion=$row1['costo_regular'];
}    

$sql2 = "SELECT nombre_sede FROM sedes WHERE codigo='$id_sede'";
$rs2 = mysql_query($sql2, $cn) or die(mysql_error());
$row2 = mysql_fetch_assoc($rs2);
$nombre_sede= $row2['nombre_sede'];

$sql3 = "SELECT codigo FROM periodos WHERE id_periodo='$id_periodo'";
$rs3 = mysql_query($sql3, $cn) or die(mysql_error());
$row3 = mysql_fetch_assoc($rs3);
$nombre_periodo= $row3['codigo'];

// Valida si participante canceló el monto de la Matricula.
$sql_morosidad = "SELECT * FROM pagos WHERE id_alumno='$id_alumno' and carrera='$id_carrera' and id_periodo='$id_periodo' and  conformado='S' and (codigo_pago='01-01' or codigo_pago='01-02' or codigo_pago='06-01') ";
$rs_morosidad = mysql_query($sql_morosidad, $cn) or die(mysql_error());
$row_morosidad = mysql_fetch_assoc($rs_morosidad);
$reg_morosidad=mysql_num_rows($rs_morosidad);
// Toma el semestre por el cual pago el alumno.
$semestre=$row_morosidad['modulo'];

if ($reg_morosidad==0) {
    // Alumno no ha pagado su inscripción.
   header ("location: mensaje_inscripcion.php?id_alumno=$id_alumno&id_periodo=$id_periodo");
   return;
}  


  // Determina si el participante pago la primera cuota del programa que se quiere inscribir.
$sql_morosidad = "SELECT situacion, deuda, pagos, id_sede,cuota1 FROM deudas WHERE id_alumno='$id_alumno' and id_carrera='$id_carrera'";
$rs_morosidad = mysql_query($sql_morosidad, $cn) or die(mysql_error());
$row_morosidad = mysql_fetch_assoc($rs_morosidad);
$reg_morosidad=mysql_num_rows($rs_morosidad);
$cuota1=$row_morosidad['cuota1'];
if ($cuota1>0) {
    // Alumno no ha pagado toda la cuota número 1.  No se puede inscribir.
    header ("location: mensaje_morosidad.php?id_alumno=$id_alumno&id_carrera=$id_carrera");
	return;
}   

// Valida si el alumno ya esta inscrito en el periodo solicitado.
$sql5 = "SELECT * FROM historial_alumnos WHERE id_carrera='$id_carrera' AND id_alumno='$id_alumno' AND id_periodo='$nombre_periodo'";
$rs5 = mysql_query($sql5, $cn) or die(mysql_error());
$row5 = mysql_fetch_assoc($rs5);
$inscrito=mysql_num_rows($rs5);
if ($inscrito!=0) {
    // Alumno ya está inscrito en el semestre.
    header ("location:  mensaje_inscripcion1.php?id_alumno=$id_alumno&id_periodo=$id_periodo");
	return;
}  

// Valida si existe Oferta Académica para el alumno en el semestre que desea inscribir.
$sql6 = "SELECT * FROM oferta_academica WHERE id_carrera='$id_carrera' and sede='$id_sede' and id_periodo='$id_periodo' and id_seccion='$seccion' and semestre='$semestre'";

$rs6 = mysql_query($sql6, $cn) or die(mysql_error());
$row6 = mysql_fetch_assoc($rs6);
$oferta=mysql_num_rows($rs6);
if ($oferta==0) {
    // No existe oferta acadeémica cargada en la carrera, periodo, sede, seccion semestre.
    header ("location:  mensaje_oferta.php?id_alumno=$id_alumno&id_periodo=$id_periodo");
	return;
}  


//Selecciona solo las carreras y sedes donde se inscribió el alumno.
$query_rscarreras = "SELECT carreras_alumno.cod_carrera as id_carrera, carreras.nombre_carrera FROM carreras,carreras_alumno where carreras_alumno.id_alumno='$id_alumno' and carreras_alumno.cod_carrera=carreras.id_carrera ORDER BY carreras.nombre_carrera ASC";
$rscarreras = mysql_query($query_rscarreras, $cn) or die(mysql_error());
$row_rscarreras = mysql_fetch_assoc($rscarreras);
$totalRows_rscarreras = mysql_num_rows($rscarreras);

$query_rssedes = "SELECT DISTINCT carreras_alumno.sede as codigo,sedes.nombre_sede FROM sedes,carreras_alumno where carreras_alumno.id_alumno='$id_alumno' and carreras_alumno.sede=sedes.codigo ORDER BY sedes.nombre_sede ASC";
$rssedes = mysql_query($query_rssedes, $cn) or die(mysql_error());
$row_rssedes = mysql_fetch_assoc($rssedes);
$totalRows_rssedes = mysql_num_rows($rssedes);

$query_rsperiodos = "SELECT id_periodo, codigo FROM periodos WHERE status='ABIERTO' order by id_periodo desc";
$rsperiodos = mysql_query($query_rsperiodos, $cn) or die(mysql_error());
$row_rsperiodos = mysql_fetch_assoc($rsperiodos);
$totalRows_rsperiodos = mysql_num_rows($rsperiodos);

header ("location: inscripciones.php?id_sede=$id_sede&id_carrera=$id_carrera&id_periodo=$id_periodo&id_alumno=$id_alumno&costo_uc=$costo_uc&semestre=$semestre&seccion=$seccion");
 return;

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Documento sin t&iacute;tulo</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link href="css/main.css" rel="stylesheet" type="text/css">
<link href="modelo/calendario/calendar-win2k-cold-1.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="js/js_estilos.js"></script>
<script type="text/javascript" src="js/dinamica.js"></script>
<script type="text/javascript" src="modelo/calendario/calendar.js"></script>
<script type="text/javascript" src="modelo/calendario/calendar-setup.js"></script>
<script type="text/javascript" src="modelo/calendario/calendar-en.js"></script>

<style type="text/css">
<!--
.style1 {
	font-size: 16px;
	color: #ff0;
	background-color:#336699;
	font-weight:bold;
	 height:20px;
}
.style2 {
	color: #004080;
	font-family: Arial;
	font-size: 16px;
}
.style3 {
	font-size: 16px;
	color: #004080;
}
.style7 {color: #004080}
.style9 {font-size: 16}
.style10 {font-size: 16px}
-->
</style>
</head>

<body onLoad="enfocar()">
<form method="post" name="form1" id="form1" onSubmit="return validar_datos()" action="inscripciones.php?id_sede=<?php echo $id_sede; ?>&id_carrera=<?php echo $id_carrera; ?>&id_periodo=<?php echo $id_periodo; ?>&id_alumno=<?php echo $id_alumno; ?>&costo_uc=<?php echo $costo_uc; ?>">
  <table width="100%" align="center">
     <tr valign="baseline">
      <td colspan="7" align="right" nowrap><div align="center" class="style1" >INSCRIPCI&Oacute;N DE PARTICIPANTE</div></td>
    </tr>
    <tr valign="baseline">
      <td colspan="7" align="right" nowrap>&nbsp;</td>
    </tr>
    
    <tr valign="baseline">
      <td colspan="7" align="center" nowrap><div align="center"><span class="style2">PARTICIPANTE:</span> <span class="style2"><font color="#FF0000"><?php echo $row['apellidos'].' '.$row['nombres']; ?></font>&nbsp;&nbsp;<?php echo $tipo_doc; ?> <font color="#FF0000"><?php echo $row['cedula']; ?> </font></span></div>        
      <div align="right"></div>        
      <div align="left"></div></td>
    </tr>
    
    
    <tr valign="baseline">
      <td colspan="7" align="right" nowrap><div align="center"><span class="style3">SEDE:&nbsp;</span> <span class="style2"><font color="#FF0000"><?php echo $nombre_sede; ?></font></span> &nbsp;&nbsp;<span class="style2">PERIODO:&nbsp; <font color="#FF0000"><?php echo $nombre_periodo; ?></font></span></div></td>
    </tr>
    
    <tr valign="baseline">
      <td colspan="7" align="right" nowrap><div align="center"><span class="style3">PROGRAMA:&nbsp; </span> 
        <span class="style2"><font color="#FF0000"><?php echo $nombre_carrera; ?></font></span>
        <iframe name="comando" id="comando" frameborder="0" width="0" height="0"></iframe>
        </div>
      <div align="right"></div>        <div align="left"></div></td>
    </tr>
    <tr valign="baseline">
      <td colspan="7" align="right" nowrap><div align="center"></div></td>
    </tr>
    <tr valign="baseline">
      <td width="86%" colspan="6" align="right" nowrap><span class="style7">MONTO DE INSCRIPCI&Oacute;N:</span>
<div align="right"></div></td>
      <td width="14%" align="right" nowrap><div align="left">
        <input name="montoi" type="text" id="montoi" value="<?php echo $costo_inscripcion; ?>" style="text-align:right;" size="8" maxlength="8" readonly="true">
        <span class="style7">Bs.</span>
        <input type="hidden" name="monto_pagado" id="monto_pagado" value="">
      </div></td>
    </tr>
    
    <tr valign="baseline">
      <td colspan="7" align="right" nowrap>&nbsp;</td>
    </tr>
	
		 <tr valign="baseline">
      <td colspan="7" align="right" nowrap><div align="center" class="style1" >PAGOS POR PROCESAR</div></td>
    </tr>

    <tr valign="baseline">
      <td colspan="7" align="right" nowrap><div align="center">
        <iframe src="pagos_por_procesar.php?id_alumno=<?php echo $id_alumno; ?>&id_sede=<?php echo $id_sede; ?>&id_carrera=<?php echo $id_carrera ?>" frameborder="0" name="pagos" id="pagos" width="670" height="150"></iframe>
      </div></td>
    </tr>
    <tr valign="baseline">
      <td colspan="7" align="right" nowrap><div align="center">
        <input type="submit" value="Inscribir">
      </div></td>
    </tr>
  </table>
</form>
</body>
</html>
<?php
mysql_free_result($rscarreras);

mysql_free_result($rssedes);

mysql_free_result($rsperiodos);
?>

<script type="text/javascript">
	function validar_datos()
	{
		ifr=document.getElementById('pagos');
		docIfr=ifr.contentDocument || ifr.contentWindow.document;
		monto_pagado=docIfr.form2.montop.value;
		
	 	/*if(document.form1.codigo_sede.value==0){
			alert("El campo <<Sede>> es obligatorio");
			document.form1.codigo_sede.focus();
			return false;
			}
		
		if(document.form1.id_periodo.value==0){
			alert("El campo <<Periodo>> es obligatorio");
			document.form1.id_periodo.focus();
			return false;
			}
			
	     if(document.form1.id_carrera.value==0){
			alert("El campo <<Carrera>> es obligatorio");
			document.form1.id_carrera.focus();
			return false;
			}*/		

		monto_inscripcion=document.form1.montoi.value;
		
		if(parseFloat(monto_pagado)<parseFloat(monto_inscripcion)){
			alert("Monto de la Inscripcion Insuficiente...Complete con otro Pago");
			//document.form1.id_periodo.focus();
			return false;
			}
			document.form1.monto_pagado.value=monto_pagado;
			
			return true;
	}
	
</script>